<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">

    <link crossorigin="anonymous" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" rel="stylesheet">
    <script crossorigin="anonymous"
            integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
            src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
    <script crossorigin="anonymous"
            integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
            src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script crossorigin="anonymous"
            integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
            src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>

    <title>New Product</title>
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="navbar-nav">
        <div class="nav-item ">
            <a class="nav-link" href="/products/">Products <span class="sr-only"></span></a>
        </div>
        <div class="nav-item">
            <a class="nav-link" href="/orders/">Orders <span class="sr-only"></span></a>
        </div>
        <div class="nav-item">
            <a class="nav-link active" href="/products/add">New Product <span class="sr-only">(current)</span></a>
        </div>
        <div class="nav-item ">
            <a class="nav-link" href="/orders/add">New Order <span class="sr-only"></span></a>
        </div>
    </div>
</nav>
<form action="#" method="post" th:action="@{/products/addproduct}"  th:object="${product}">
    <div class="form-group">
        <label for="name">Name</label>
        <input id="name" placeholder="Name" th:field="*{name}" type="text" class="form-control">
        <span th:errors="*{name}" th:if="${#fields.hasErrors('name')}"></span>
    </div>
    <div class="form-group">
        <label for="color">Color</label>
        <input id="color" placeholder="color" th:field="*{color}" type="text" class="form-control">
        <span th:errors="*{color}" th:if="${#fields.hasErrors('color')}"></span>
    </div>
    <div class="form-group">
        <label for="color">Price</label>
        <input id="price" min="0" placeholder="price" step="any" th:field="*{price}" type="number" class="form-control">
        <span th:errors="*{price}" th:if="${#fields.hasErrors('price')}"></span>
    </div>
    <button class="btn btn-primary" type="submit">Submit Order</button>
</form>

</body>
</html>
